<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP5: Membres de classe</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP5
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Liste de tous les membres de classe documentés avec des liens vers la documentation de classe de chaque membre :</div>

<h3><a id="index__"></a>- _ -</h3><ul>
<li>__construct()
: <a class="el" href="classBattle.html#a29acd454bb27c7d9d0bd182016a74b40">Battle</a>
, <a class="el" href="classCarte.html#aa7e7cb592b448b5b590353809b2c1305">Carte</a>
, <a class="el" href="classPile.html#a468feb765bb09268d72b044fe1092f4a">Pile</a>
, <a class="el" href="classPlayer.html#abd1cd6a50bf69549f819e721007b495a">Player</a>
</li>
<li>__toString()
: <a class="el" href="classBattle.html#a0f14f861de57cdc4efbfcf5a77cd8bb6">Battle</a>
, <a class="el" href="classCarte.html#a3ffa88900eaef7e917758e0e928a2718">Carte</a>
, <a class="el" href="classPile.html#afb5b2e82e28ba2620b8317957b5017f9">Pile</a>
, <a class="el" href="classPlayer.html#ae06282724e4ce08bed2403c0aa9c430f">Player</a>
</li>
</ul>


<h3><a id="index_a"></a>- a -</h3><ul>
<li>addCard()
: <a class="el" href="classPile.html#aebfde0e5c97c1fa95d551e5d1e5f2d88">Pile</a>
</li>
<li>addPile()
: <a class="el" href="classPile.html#a420fe95354d036a15026e8c941e4a641">Pile</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>battleRound()
: <a class="el" href="classBattle.html#a0c409aefc56e606e852e110978132802">Battle</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>clearTable()
: <a class="el" href="classBattle.html#ae270319dd5ce96ba4c16b567ae1bbe5d">Battle</a>
, <a class="el" href="classPlayer.html#a24482796bea34b50d8308c07b23b9611">Player</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>decideBattle()
: <a class="el" href="classBattle.html#a999468a925f2dee526bc5d1c30d01fec">Battle</a>
</li>
<li>determineWinner()
: <a class="el" href="classBattle.html#a008097103d35a58d025140d320805d44">Battle</a>
</li>
<li>drawCard()
: <a class="el" href="classPile.html#aeec4e290df7ae2bc43a77754feace0e9">Pile</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>getCard()
: <a class="el" href="classPile.html#a6ad4c1e439d1596168812c1c49490ea8">Pile</a>
</li>
<li>getCardsNumber()
: <a class="el" href="classPile.html#acdec04827a6427f8741612b3afcfa3e9">Pile</a>
</li>
<li>getColor()
: <a class="el" href="classCarte.html#a9db0dabd1bc62df5ff344e7100a37c59">Carte</a>
</li>
<li>getHandCardsCount()
: <a class="el" href="classPlayer.html#ae85bf5c7019c2b8646a98ee7d71b0674">Player</a>
</li>
<li>getNickname()
: <a class="el" href="classPlayer.html#a3ceb116219d07b1f1a07737a2692d8bc">Player</a>
</li>
<li>getOrder()
: <a class="el" href="classCarte.html#a35173708913776a82c8ab08118bf588c">Carte</a>
</li>
<li>getValue()
: <a class="el" href="classCarte.html#afcbd45cbcaef5546fb6dde3e290f400d">Carte</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>isEqual()
: <a class="el" href="classCarte.html#a6b0b4ce93d2b23dd9cf03af0699a71bc">Carte</a>
</li>
<li>isStronger()
: <a class="el" href="classCarte.html#a79caeed499770e985651d17298f1a934">Carte</a>
</li>
<li>isWeaker()
: <a class="el" href="classCarte.html#a7fc424dd9fe25fa96a5a896e05bacca4">Carte</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>newGame()
: <a class="el" href="classPlayer.html#a750fe850ebda066a2d39ef19bcc82beb">Player</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>playCard()
: <a class="el" href="classPlayer.html#a5d0366e11ce75ecfd8c9bb4523bced70">Player</a>
</li>
<li>popCard()
: <a class="el" href="classPile.html#a6775d147598f9c5390315e1c8c084761">Pile</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>showLast()
: <a class="el" href="classPile.html#af39f27e11169d0a4753a0be6b2fc6cba">Pile</a>
</li>
<li>singleRound()
: <a class="el" href="classBattle.html#a96c38fc472e488c315fc4b11556670d8">Battle</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
